Day 2 Complete!

Another great day of learning how to code with the Raspberry Pi Pico and MicroPython! Today you have:

    Created your first circuit!
    Learnt how to use the time module to add delays to programs
    Learnt how to use while loops and conditions
    Learnt about variables (our counter)
    Learnt about code commentary
    Created a dashing, flashing sequence of LEDs
-------------------------------------------------------------------------------------------------------

Day 3 Complete!

Great job makers, you ve now got the skills to use physical inputs with MicroPython (which will come in handy for the rest of the calendar) and can code if statements in all sorts of interesting new ways!

Today you have learnt:

    How to create a circuit with physical inputs
    How to code physical inputs with MicroPython
    What if statements are and how to use them
    How to use elif and else within if statements
    How to use 'and and 'or' within if statement conditions
    Combined physical inputs with physical outputs

-------------------------------------------------------------------------------------------------------

Day 4 Complete!

Well done makers! We know today was a little heavier as we introduced slightly more advanced topics such as analogue and PWM, so take the time to go back over today's examples and play with the code if you'd like more practice - make it, break it, fix it, learn!

Today you have:

    Learnt about analogue and the difference between analogue and digital signals
    Built a circuit with a potentiometer
    Leant how to use the ADC built into the Raspberry Pi Pico
    Controlled LEDs with an analogue signal
    Learnt about PWM including duty cycle and frequency

------------------------------------------------------------------------------------------------------

Day 5 Complete!

We've covered lots today fellow makers, pat yourselves on the back!

As we cover more advanced topics such as functions, you may find that you need to refer back to these days to refresh your memory later on - and that's absolutely normal! Even the most seasoned professional programmers have to use search engines regularly (some even admit it!).

So what did we cover on day #5? Today you have:

    Built a circuit with a buzzer, your first audio component
    Learnt how to use the buzzer with MicroPython and the Pico
    Learnt about PWM frequencies and duty cycle with buzzers
    Used analogue inputs to control audio volume using PWM
    Created a festive jingle with MicroPython
    Learnt how to use functions to make your code easier to manage and more efficient

------------------------------------------------------------------------------------------------------

<img src="https://git.unixweb.net/unixweb/pihut-advent-kalender/raw/branch/master/images/pihut-advent-kalender.jpg">

